org.eclipse.jgit.errors

## Class IndexWriteException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.eclipse.jgit.errors.IndexWriteException

All Implemented Interfaces:
  Serializable

    public class IndexWriteException
    extends IOException

Cannot write a modified index. This is a serious error that users need to be made aware of.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IndexWriteException()` Constructs an IndexWriteException with the default message.
`IndexWriteException(String s)` Constructs an IndexWriteException with the specified detail message.
`IndexWriteException(String s, Throwable cause)` Constructs an IndexWriteException with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IndexWriteException

    public IndexWriteException()

Constructs an IndexWriteException with the default message.

#### IndexWriteException

    public IndexWriteException(String s)

Constructs an IndexWriteException with the specified detail message.

Parameters:
  `s` - message

#### IndexWriteException

    public IndexWriteException(String s,
                               Throwable cause)

Constructs an IndexWriteException with the specified detail message.

Parameters:
  `s` - message
  `cause` - root cause exception